Debian Bug report logs - #473832
clc-intercal: recommends packages not in main

version graph

Package: clc-intercal; Maintainer for clc-intercal is Mark Brown <broonie@debian.org>; Source for clc-intercal is src:clc-intercal.

Reported by: Amaya <amaya@debian.org>

Date: Tue, 1 Apr 2008 21:39:01 UTC

Severity: important

Tags: patch

Found in version clc-intercal/1:1.0~4pre1.-94.-2-1

Done: Mark Brown <broonie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#473832; Package clc-intercal. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Mark Brown <broonie@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: clc-intercal: recommends packages not in main
Date: Tue, 1 Apr 2008 23:39:33 +0200
[Message part 1 (text/plain, inline)]
Package: clc-intercal
Version: 1:1.0~4pre1.-94.-2-1
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

I intend to *lovingly* NMU clc-intercal, as part of my effort to 
accomplish the following Release Goal for Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
to this, and then upload upload to DELAYED/7 in order to give you plenty of
time for reaction.

You will find that my changes are minimal and address only this issue, unless
other release goal can be dealt with in the same upload.

Attached is the diff for my clc-intercal 1:1.0~4pre1.-94.-2-1.1 NMU.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[clc-intercal-1.0~4pre1.-94.-2-1.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#473832; Package clc-intercal. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 473832@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Amaya <amaya@debian.org>, 473832@bugs.debian.org
Subject: Re: Bug#473832: clc-intercal: recommends packages not in main
Date: Tue, 1 Apr 2008 23:49:35 +0100
On Tue, Apr 01, 2008 at 11:39:33PM +0200, Amaya wrote:

> I intend to *lovingly* NMU clc-intercal, as part of my effort to 
> accomplish the following Release Goal for Lenny:

A couple of things that would make this work a lot more smoothly:

 - File the actual bug, not your intention to NMU (ie, include the bug
   report in the body of the bug rather than burying it in the patch).
 - Provide some way for people to get information about this like
   putting a list of affected packages on a web page and announcing it.
   This would help avoid the need for an NMU campaign in the first
   place.

My first reponse to this was "WTF?  I only uploaded this yesterday and
there weren't any bugs.", especially given that the report jumped right
to "I'm about to NMU", skipping over what the actual problem was.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."




Reply sent to Mark Brown <broonie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 473832-close@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: 473832-close@bugs.debian.org
Subject: Bug#473832: fixed in clc-intercal 1:1.0~4pre1.-94.-2-2
Date: Tue, 01 Apr 2008 23:03:07 +0000
Source: clc-intercal
Source-Version: 1:1.0~4pre1.-94.-2-2

We believe that the bug you reported is fixed in the latest version of
clc-intercal, which is due to be installed in the Debian FTP archive:

clc-intercal_1.0~4pre1.-94.-2-2.diff.gz
  to pool/main/c/clc-intercal/clc-intercal_1.0~4pre1.-94.-2-2.diff.gz
clc-intercal_1.0~4pre1.-94.-2-2.dsc
  to pool/main/c/clc-intercal/clc-intercal_1.0~4pre1.-94.-2-2.dsc
clc-intercal_1.0~4pre1.-94.-2-2_all.deb
  to pool/main/c/clc-intercal/clc-intercal_1.0~4pre1.-94.-2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473832@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Brown <broonie@debian.org> (supplier of updated clc-intercal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 01 Apr 2008 23:36:04 +0100
Source: clc-intercal
Binary: clc-intercal
Architecture: source all
Version: 1:1.0~4pre1.-94.-2-2
Distribution: unstable
Urgency: low
Maintainer: Mark Brown <broonie@debian.org>
Changed-By: Mark Brown <broonie@debian.org>
Description: 
 clc-intercal - Compiler for the INTERCAL language
Closes: 473832
Changes: 
 clc-intercal (1:1.0~4pre1.-94.-2-2) unstable; urgency=low
 .
   * libgtk-perl has been replaced with libgtk2-perl (closes: #473832).
Files: 
 35ca8290217d7a15ed64c20d0f3f1f44 646 devel extra clc-intercal_1.0~4pre1.-94.-2-2.dsc
 cf45c73975af1bd3c2f1cd1e83ece018 3821 devel extra clc-intercal_1.0~4pre1.-94.-2-2.diff.gz
 4c29058f6c430b1de011f16cc34eea05 347152 devel extra clc-intercal_1.0~4pre1.-94.-2-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH8r1pJ2Vo11xhU60RAhDvAJ41BCYd+qd2GogGZPK5YUIs1ssq9gCfSTWb
w5oP6brXFSo8QGinpsMAEes=
=b6g5
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#473832; Package clc-intercal. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. Full text and rfc822 format available.

Message #20 received at 473832@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: 473832@bugs.debian.org, 473839@bugs.debian.org, 473836@bugs.debian.org, 473835@bugs.debian.org, 473844@bugs.debian.org, 473842@bugs.debian.org, 473834@bugs.debian.org, 473833@bugs.debian.org, 473829@bugs.debian.org, 473831@bugs.debian.org
Subject: Re: Bug#473832: clc-intercal: recommends packages not in main
Date: Wed, 2 Apr 2008 01:37:35 +0200
Hey Mark!

First of all, thanks for your fast upload. You too, Mr Marillat!

Mark Brown wrote:
>  - File the actual bug, not your intention to NMU (ie, include the bug
>    report in the body of the bug rather than burying it in the patch).

Yes you are very right. I will change my wording.

>  - Provide some way for people to get information about this like
>    putting a list of affected packages on a web page and announcing it.
>    This would help avoid the need for an NMU campaign in the first
>    place.

That is work in progress. I am working on a wiki page, it will be ready
tomorrow. So far, I can only point you to:
    http://release.debian.org/lenny/goals.txt
    http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-release@lists.debian.org&tag=goal-recommends
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    http://lists.debian.org/debian-qa/2008/04/msg00007.html (and
    answers).

The wiki page will group all this already available information so that
this is easier to track for everyone.

This is not an NMU campaign. I will definitely change the wording.
My original intention was to submit bug+patch, as agreed with Luk:
    <luk> amaya:
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in unstable) and
    http://qa.debian.org/debcheck.php?dist=lenny&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in testing)
    <amaya> luk: so what to do about these? should I file bugs?
    <luk> yes, file with the appropriate version if not already
    reported at least for the sid ones, identifying the lenny ones that
    are fixed in sid for extra bonus points :-)
    <amaya> luk: i see a lot of those will be fixed when my nmus leave
    the delayed queue
    <luk> great
    <amaya> luk: I will take a look and file appropriate bugs with
    patches, and nmu threats ;)
    <luk> even better!

I think we were both joking about nmus there. Sorry about the tone of my
bug report. I am Cc:ing the rest of maintainers that got this tasteless
report, so that they also forgive me.

> My first reponse to this was "WTF?  I only uploaded this yesterday and
> there weren't any bugs.", especially given that the report jumped right
> to "I'm about to NMU", skipping over what the actual problem was.

Well, no. I clearly said I would wait for two weeks for your response.
And *then* 7 more days in DELAYED. Mainly because some recommends have
become obsolete and I am not sure about the right replacements. I am
seeking actual advice, input, wisdom, from maintainers here :)

But you are right. I am sorry it came accross this way.

Thanks for your help! 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Reply sent to Ola Lundqvist <opal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 473832-close@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: 473832-close@bugs.debian.org
Subject: Bug#473832: fixed in nfsboot 0.0.15
Date: Fri, 04 Apr 2008 06:32:02 +0000
Source: nfsboot
Source-Version: 0.0.15

We believe that the bug you reported is fixed in the latest version of
nfsboot, which is due to be installed in the Debian FTP archive:

nfsboot_0.0.15.dsc
  to pool/main/n/nfsboot/nfsboot_0.0.15.dsc
nfsboot_0.0.15.tar.gz
  to pool/main/n/nfsboot/nfsboot_0.0.15.tar.gz
nfsboot_0.0.15_all.deb
  to pool/main/n/nfsboot/nfsboot_0.0.15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473832@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ola Lundqvist <opal@debian.org> (supplier of updated nfsboot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  4 Apr 2008 08:20:39 +0200
Source: nfsboot
Binary: nfsboot
Architecture: source all
Version: 0.0.15
Distribution: unstable
Urgency: low
Maintainer: Ola Lundqvist <opal@debian.org>
Changed-By: Ola Lundqvist <opal@debian.org>
Description: 
 nfsboot    - Allow clients to boot over the network
Closes: 473832
Changes: 
 nfsboot (0.0.15) unstable; urgency=low
 .
   * Changed dependencies so that dhcp3-client is recommended. Thanks to
     Amaya Rodrigo Sastre <amaya@debian.org> for the suggestion. Closes:
     #473832.
Files: 
 73f5324211ddd24d5d6bbad6ea2a927c 490 admin extra nfsboot_0.0.15.dsc
 736bf3cc1cfc6a5fa125fc3a2114b66c 13827 admin extra nfsboot_0.0.15.tar.gz
 bcf69d6440ff84efcdf7969d62444b43 10186 admin extra nfsboot_0.0.15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9cj2GKGxzw/lPdkRAqrbAJ4jb3ZvqUyMukVkRNEI0zkeLvj5pQCeLGTy
kStpPpmRrUn38cJ8AbJPkZU=
=krVC
-----END PGP SIGNATURE-----





Bug reopened, originator not changed. Request was from Ola Lundqvist <ola@inguza.com> to control@bugs.debian.org. (Fri, 04 Apr 2008 10:00:02 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Amaya <amaya@debian.org> Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. (Fri, 04 Apr 2008 10:12:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 May 2008 07:31:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:54:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.